- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libvisio::VSDSVGGenerator Class Reference

`#include <VSDSVGGenerator.h>`

Inheritance diagram for libvisio::VSDSVGGenerator:

## Public Member Functions
| VSDSVGGenerator (VSDStringVector &vec, const WPXString &nmspace="svg")
| ~VSDSVGGenerator ()
void | startGraphics (const ::WPXPropertyList &propList)
void | endGraphics ()
void | startLayer (const ::WPXPropertyList &propList)
void | endLayer ()
void | startEmbeddedGraphics (const ::WPXPropertyList &)
void | endEmbeddedGraphics ()
void | setStyle (const ::WPXPropertyList &propList, const ::WPXPropertyListVector &gradient)
void | drawRectangle (const ::WPXPropertyList &propList)
void | drawEllipse (const ::WPXPropertyList &propList)
void | drawPolyline (const ::WPXPropertyListVector &vertices)
void | drawPolygon (const ::WPXPropertyListVector &vertices)
void | drawPath (const ::WPXPropertyListVector &path)
void | drawGraphicObject (const ::WPXPropertyList &propList, const ::WPXBinaryData &binaryData)
void | startTextObject (const ::WPXPropertyList &propList, const ::WPXPropertyListVector &path)
void | endTextObject ()
void | startTextLine (const ::WPXPropertyList &)
void | endTextLine ()
void | startTextSpan (const ::WPXPropertyList &propList)
void | endTextSpan ()
void | insertText (const ::WPXString &str)

## Private Member Functions
| VSDSVGGenerator (const VSDSVGGenerator &)
VSDSVGGenerator & | operator= (const VSDSVGGenerator &)

## Private Attributes
VSDSVGGeneratorPrivate * | m_pImpl

## Constructor & Destructor Documentation

libvisio::VSDSVGGenerator::VSDSVGGenerator | ( | VSDStringVector & | vec,
|  | const WPXString & | nmspace = `"svg"`
| ) |  |

libvisio::VSDSVGGenerator::~VSDSVGGenerator | ( |  | ) |

libvisio::VSDSVGGenerator::VSDSVGGenerator | ( | const VSDSVGGenerator & |  | ) |
| private

## Member Function Documentation

void libvisio::VSDSVGGenerator::drawEllipse | ( | const ::WPXPropertyList & | propList | ) |

void libvisio::VSDSVGGenerator::drawGraphicObject | ( | const ::WPXPropertyList & | propList,
|  | const ::WPXBinaryData & | binaryData
| ) |  |

void libvisio::VSDSVGGenerator::drawPath | ( | const ::WPXPropertyListVector & | path | ) |

void libvisio::VSDSVGGenerator::drawPolygon | ( | const ::WPXPropertyListVector & | vertices | ) |

void libvisio::VSDSVGGenerator::drawPolyline | ( | const ::WPXPropertyListVector & | vertices | ) |

void libvisio::VSDSVGGenerator::drawRectangle | ( | const ::WPXPropertyList & | propList | ) |

void libvisio::VSDSVGGenerator::endEmbeddedGraphics | ( |  | ) |
| inline

void libvisio::VSDSVGGenerator::endGraphics | ( |  | ) |

void libvisio::VSDSVGGenerator::endLayer | ( |  | ) |

void libvisio::VSDSVGGenerator::endTextLine | ( |  | ) |
| inline

void libvisio::VSDSVGGenerator::endTextObject | ( |  | ) |

void libvisio::VSDSVGGenerator::endTextSpan | ( |  | ) |

void libvisio::VSDSVGGenerator::insertText | ( | const ::WPXString & | str | ) |

VSDSVGGenerator& libvisio::VSDSVGGenerator::operator= | ( | const VSDSVGGenerator & |  | ) |
| private

void libvisio::VSDSVGGenerator::setStyle | ( | const ::WPXPropertyList & | propList,
|  | const ::WPXPropertyListVector & | gradient
| ) |  |

void libvisio::VSDSVGGenerator::startEmbeddedGraphics | ( | const ::WPXPropertyList & |  | ) |
| inline

void libvisio::VSDSVGGenerator::startGraphics | ( | const ::WPXPropertyList & | propList | ) |

void libvisio::VSDSVGGenerator::startLayer | ( | const ::WPXPropertyList & | propList | ) |

void libvisio::VSDSVGGenerator::startTextLine | ( | const ::WPXPropertyList & |  | ) |
| inline

void libvisio::VSDSVGGenerator::startTextObject | ( | const ::WPXPropertyList & | propList,
|  | const ::WPXPropertyListVector & | path
| ) |  |

void libvisio::VSDSVGGenerator::startTextSpan | ( | const ::WPXPropertyList & | propList | ) |

## Member Data Documentation

VSDSVGGeneratorPrivate* libvisio::VSDSVGGenerator::m_pImpl
| private

Referenced by drawEllipse(), drawGraphicObject(), drawPath(), drawPolygon(), drawPolyline(), drawRectangle(), endGraphics(), endLayer(), endTextObject(), endTextSpan(), insertText(), setStyle(), startGraphics(), startLayer(), startTextObject(), startTextSpan(), and ~VSDSVGGenerator().

The documentation for this class was generated from the following files:

- VSDSVGGenerator.h
- VSDSVGGenerator.cpp